Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 464634 (CVE-2013-1914)

Summary: <sys-libs/glibc-2.19-r1: Stack (frame) overflow in getaddrinfo() when processing entry mapping to long list of address structures (CVE-2013-1914)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://sourceware.org/bugzilla/show_bug.cgi?id=15330
See Also: http://sourceware.org/bugzilla/show_bug.cgi?id=15330
https://bugzilla.redhat.com/show_bug.cgi?id=947882
https://bugzilla.novell.com/show_bug.cgi?id=813121
Whiteboard: A3 [glsa cleanup]
Package list:
Runtime testing required: ---
Bug Depends on: 518364    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2013-04-04 19:10:09 UTC
From ${URL} :

A stack (frame) overflow flaw, leading to denial of service (application crash), was found in the way getaddrinfo() routine (returning a list of address structures for 
particular request) of glibc, the collection of GNU libc libraries, processed certain requests. If an application linked against glibc accepted untrusted getaddrinfo() 
input remotely, a remote attacker could issue a specially-crafted request, which once processed would lead to that application crash.

References:
[1] https://bugzilla.novell.com/show_bug.cgi?id=813121
[2] http://www.openwall.com/lists/oss-security/2013/04/03/2

Proposed Novell patch:
[3] http://bugzillafiles.novell.org/attachment.cgi?id=533210
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2013-05-09 12:00:13 UTC
CVE-2013-1914 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1914):
  Stack-based buffer overflow in the getaddrinfo function in
  sysdeps/posix/getaddrinfo.c in GNU C Library (aka glibc or libc6) 2.17 and
  earlier allows remote attackers to cause a denial of service (crash) via a
  (1) hostname or (2) IP address that triggers a large number of domain
  conversion results.
Comment 3 Hanno Böck gentoo-dev 2013-07-09 21:39:50 UTC
Fix is in 2.18:
http://sourceware.org/git/?p=glibc.git;a=blob_plain;f=NEWS;hb=HEAD
Comment 4 SpanKY gentoo-dev 2014-02-18 19:29:35 UTC
no plans to backport to glibc-2.17 or older
Comment 5 Yury German Gentoo Infrastructure gentoo-dev Security 2015-03-03 03:31:29 UTC
Maintainer(s), please drop the vulnerable version(s).

Added to an existing GLSA Request.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2015-03-08 14:53:48 UTC
This issue was resolved and addressed in
 GLSA 201503-04 at http://security.gentoo.org/glsa/glsa-201503-04.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).